## org.eclipse.emf.ecoretools.diagram.parsers
Class MessageFormatParser

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.parsers.AbstractParser
          org.eclipse.emf.ecoretools.diagram.parsers.MessageFormatParser

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.ui.services.parser.IParser

    public class MessageFormatParser

extends AbstractParser

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecoretools.diagram.parsers.AbstractParser
`AbstractParser.InvalidValue`

Field Summary

Fields inherited from class org.eclipse.emf.ecoretools.diagram.parsers.AbstractParser
`features`

Constructor Summary
`MessageFormatParser(org.eclipse.emf.ecore.EAttribute[] features)`

Method Summary
`protected java.text.MessageFormat` `createEditorProcessor(java.lang.String editorPattern)`
`protected java.text.MessageFormat` `createEditProcessor(java.lang.String editPattern)`
`protected java.text.MessageFormat` `createViewProcessor(java.lang.String viewPattern)`
`protected java.lang.String` `getDefaultPattern()`
`java.lang.String` `getEditorPattern()`
`protected java.text.MessageFormat` `getEditorProcessor()`
`java.lang.String` `getEditPattern()`
`protected java.text.MessageFormat` `getEditProcessor()`
`java.lang.String` `getEditString(org.eclipse.core.runtime.IAdaptable adapter, int flags)`
`org.eclipse.gmf.runtime.common.core.command.ICommand` `getParseCommand(org.eclipse.core.runtime.IAdaptable adapter, java.lang.String newString, int flags)`
`java.lang.String` `getPrintString(org.eclipse.core.runtime.IAdaptable adapter, int flags)`
`java.lang.String` `getViewPattern()`
`protected java.text.MessageFormat` `getViewProcessor()`
`org.eclipse.gmf.runtime.common.ui.services.parser.IParserEditStatus` `isValidEditString(org.eclipse.core.runtime.IAdaptable adapter, java.lang.String editString)`
`void` `setEditorPattern(java.lang.String editorPattern)`
`void` `setEditPattern(java.lang.String editPattern)`
`void` `setViewPattern(java.lang.String viewPattern)`

Methods inherited from class org.eclipse.emf.ecoretools.diagram.parsers.AbstractParser
`getCompletionProcessor, getModificationCommand, getParseCommand, getValidNewValue, getValue, getValues, isAffectingEvent, isAffectingFeature, validateNewValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFormatParser

    public MessageFormatParser(org.eclipse.emf.ecore.EAttribute[] features)

Method Detail

### getDefaultPattern

    protected java.lang.String getDefaultPattern()

### getViewPattern

    public java.lang.String getViewPattern()

  Overrides:
    `getViewPattern` in class `AbstractParser`

### setViewPattern

    public void setViewPattern(java.lang.String viewPattern)

  Overrides:
    `setViewPattern` in class `AbstractParser`

### createViewProcessor

    protected java.text.MessageFormat createViewProcessor(java.lang.String viewPattern)

### getViewProcessor

    protected java.text.MessageFormat getViewProcessor()

### getEditorPattern

    public java.lang.String getEditorPattern()

  Overrides:
    `getEditorPattern` in class `AbstractParser`

### setEditorPattern

    public void setEditorPattern(java.lang.String editorPattern)

  Overrides:
    `setEditorPattern` in class `AbstractParser`

### createEditorProcessor

    protected java.text.MessageFormat createEditorProcessor(java.lang.String editorPattern)

### getEditorProcessor

    protected java.text.MessageFormat getEditorProcessor()

### getEditPattern

    public java.lang.String getEditPattern()

  Overrides:
    `getEditPattern` in class `AbstractParser`

### setEditPattern

    public void setEditPattern(java.lang.String editPattern)

  Overrides:
    `setEditPattern` in class `AbstractParser`

### createEditProcessor

    protected java.text.MessageFormat createEditProcessor(java.lang.String editPattern)

### getEditProcessor

    protected java.text.MessageFormat getEditProcessor()

### getPrintString

    public java.lang.String getPrintString(org.eclipse.core.runtime.IAdaptable adapter,
                                           int flags)

### getEditString

    public java.lang.String getEditString(org.eclipse.core.runtime.IAdaptable adapter,
                                          int flags)

### isValidEditString

    public org.eclipse.gmf.runtime.common.ui.services.parser.IParserEditStatus isValidEditString(org.eclipse.core.runtime.IAdaptable adapter,
                                                                                                 java.lang.String editString)

### getParseCommand

    public org.eclipse.gmf.runtime.common.core.command.ICommand getParseCommand(org.eclipse.core.runtime.IAdaptable adapter,
                                                                                java.lang.String newString,
                                                                                int flags)

Copyright 2007 Anyware Technologies. All Rights Reserved.